package de.tudarmstadt.informatik.hostage.protocol;

import java.util.ArrayList;
import java.util.List;

import de.tudarmstadt.informatik.hostage.wrapper.ByteArray;

/**
 * ECHO protocol
 * @author Wulf Pfeiffer
 */
public class ECHO implements Protocol<ByteArray>{

	@Override
	public int getPort() {
		return 7;
	}

	@Override
	public TALK_FIRST whoTalksFirst() {
		return TALK_FIRST.CLIENT;
	}
	
	@Override
	public List<ByteArray> processMessage(ByteArray message) {
		List<ByteArray> response = new ArrayList<ByteArray>();
		//respond with the received message
		response.add(message);
		return response;
	}

	@Override
	public boolean isClosed() {
		return true;
	}

	@Override
	public boolean isSecure() {
		return false;
	}

	@Override
	public Class<ByteArray> getType() {
		return ByteArray.class;
	}
	
	@Override
	public String toString() {
		return "ECHO";
	}

}
